Skip to main content
POST
cURL

Authorizations

X-DOMO-Developer-Token
string
header
required

Domo access token generated from the admin panel

Path Parameters

datasource-id
string<uuid>
required

The unique ID of the federated datasource to migrate.

integration-id
string<uuid>
required

The unique ID of the Cloud Amplifier integration that the federated datasource should be migrated to.

Response

200 - application/json

Successful response

toe
string

Unique request identifier. Used by Domo support to retrieve additional information for failed migration attempts.

datasourceId
string<uuid>

Unique identifier of the datasource the migration occurred for.

direction
enum<string>

Direction of the migration.

Available options:
FEDERATED_TO_CLOUD_AMPLIFIER,
CLOUD_AMPLIFIER_TO_FEDERATED
startTime
string<date-time>

Timestamp indicating the start time of the migration.

state
enum<string>

Final state of the migration, one of [ "COMPLETE", "INCOMPLETE", "ABORTED" ]. COMPLETE: Migration has completed successfully. INCOMPLETE: Migration failed after some changes to the datasource were made. Domo content powered by the datasource may remain unavailable and/or non-functional until the migration is re-attempted and completes successfully. More information can be found in the 'errorMessage' property. ABORTED: Migration was aborted prior to any changes being made to the datasource. More information can be found in the 'errorMessage' property.

Available options:
COMPLETE,
INCOMPLETE,
ABORTED
errorMessage
string | null

Message populated with additional details when a migration fails to complete normally or is aborted prior to starting.

endTime
string<date-time>

Timestamp indicating the end time of the migration.